<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Profil')">
</head>

<body>
    <nav th:replace="@{/include/navbar}"></nav>

    <main>
        <div class="container-fluid p-0"><img th:src="@{/img/banniere.jpg}" class="img-fluid w-100" alt="photo dvd" />
        </div>
        <div class="text-white m-5">
            <h2>Ajouter un dvd</h2>
        </div>
        <div class="container">

            <form th:action="@{/add-dvd}" method="post" enctype="multipart/form-data">
                <label for="name" class="text-white">Titre :</label>
                <input class="form-control" type="text" id="name" th:field="${dvd.title}">
                <label for="released" class="text-white mt-4">Année :</label>
                <input class="form-control" type="aaaa" id="released" th:field="${dvd.year}" placeholder="1900">
                <label for="category" class="text-white mt-4">Catégorie : </label>
                <select id="category" class="form-select" th:field="${dvd.category.id}">
                    <option selected th:value="${null}">- Selectionner la catégorie -</option>
                    <option th:each="category : ${category}" th:value="${category.id}" th:text="${category.name}"></option>
                </select>
                <label for="condition" class="text-white mt-4">Etat :</label>
                <input class="form-control" type="text" id="condition" th:field="${dvd.dvdCondition}">
                <label for="bar_code" class="text-white mt-4">Code barre :</label>
                <input class="form-control" type="text" id="bar_code" th:field="${dvd.barCode}">
                <label for="description" class="text-white mt-4">Description :</label>
                <textarea class="form-control" type="text-area" id="description" th:field="${dvd.description}"></textarea>
                <label for="image" class="text-white mt-4">Image : </label>
                <input type="file" class="form-control" id="image" name="file">
                <button class="btn btn-primary mt-5 mb-5">Ajouter le dvd</button>
            </form>
        </div>

        <div th:replace="fragments/layout.html :: foot"></div>


    </main>

    <div th:replace="@{/include/footer}"></div>
    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>